Subject: port of ARM SA-1100 itsy usb function driver to 2.4.0-test2

From: Brad Parker <[email-masked]>
Date: Thu, 13 Jul 2000 14:34:38 -0400

Hi,

A few people asked about this, so I thought I'd put it up for ftp.

I did an basic port of the Itsy usb function driver for the ARM SA-1100 to
2.4.0-test-blah.  It's working now on a slightly out of rev 2.4.0-test2
tree.

It implements a basic ethernet interface complete with and eth0
interface.  I've not tried to pass packets to it (yet) but will in the
next week or two.  I don't know what the DECWRL folks talked to with
it.  Persumably they wrote some host code.  I plan to implement the
other side shortly.

It does come up and talk to another usb host, takes an address and
gives back it's config info, so the basics are working.

here are diffs against a -test2 tree:

	ftp://ftp.parker.boston.ma.us/pub/arm/usbfunc.diffs.gz

here are the raw files:

	ftp://ftp.parker.boston.ma.us/pub/arm/usbfunc.tar.gz

If the diffs fail, I am sorry - I recently discovered that my -test2
may be stock from "ftp.kernel.org" with no/few arm patches.

-brad

unsubscribe: body of `unsubscribe linux-arm' to [email-masked]
++        Please use [email-masked] for           ++
++                        kernel-related discussions.                      ++

---

From: Deborah Wallach <[email-masked]>
Date: Thu, 13 Jul 2000 11:55:27 -0700

We talk to it using either Linux (2.3.34) on an x86 PC or Windows 95/2000.
I haven't used the windows version myself, so I don't know anything about
it.  Yes, we wrote some host code for the linux setup, but it's flaky (the
host machine crashes fairly often while using usb to the itsy), but if you
think it would be useful I can see if I can dig it up and get it posted
somewhere. 

			-Debby

---

From: Fabien Ninoles <[email-masked]>
Date: Sat, 15 Jul 2000 23:39:19 -0400

> think it would be useful I can see if I can dig it up and get it posted

I will be very interested by all those code (both client and host,
Win and Linux) since I already try to implement something like this.
I got the usb pipe #0 running correctly and Linux (2.3.99preX) configuring
it correctly but can get the other pipe running. On the windows side,
I ask a demonstrator for the SA-1111 to show me some code (both
WinCE embedded or WinDriver Host) and the only thing he could find
me is a USB Mouse Driver (really... they're very stupid sometime -
we really have a lot of fun imagining what we can do with a mouse
running a StrongArm :)

I can myself send you the module I create for the linux host
side, although the bulk pipes were never tested.

BTW, do you think we can used a common DeviceID/VendorID
for the code in the both kernel? Especially since the driver
implementation will all be the same (mainly a network driver
with a ppp-like connection).

-- 
-------------------------------*  *-------------------------
Fabien Niñoles                /  /          [email-masked]
Chevalier Servant de Sa Dame /  /   C15D FE9E BB35 F596 127F
Veneur Gris par la Clef     /  /    BF7D 8F1F DFC9 BCE0 9436
Chaton pour Debian         /  / http://www.tzone.org/~fabien
--------------------------*  *------------------------------